package ru.mkb.corp.monmod.core;

import MKBCRPAccountInPrognozIO131.CuratorsList;
import org.springframework.stereotype.Component;
import ru.mkb.corp.monmod.entity.counterparty.Curator;
import ru.mkb.siebelservice.crpallprognozwf.CuratorList;

import java.util.List;
import java.util.Optional;

@Component(CuratorListToCuratorMapper.NAME)
public class CuratorListToCuratorMapper {
    public static final String NAME = "mm_CuratorListToCuratorMapper";

    public Curator createCuratorFromCuratorsList(List<CuratorsList> curators) {
        return Optional.ofNullable(curators)
                .filter(curatorsLists -> !curatorsLists.isEmpty())
                .flatMap(curatorsLists -> curatorsLists.stream().filter(curatorsList -> curatorsList.getTypecuratorcode().equals("1")).findFirst())
                .map(curatorsList -> Curator.builder()
                        .name(curatorsList.getNamecurator())
                        .xusersid(curatorsList.getXUSERSID())
                        .build())
                .orElse(null);
    }

    public Curator createCuratorFromCuratorList(List<CuratorList> curators) {
        return Optional.ofNullable(curators)
                .filter(curatorsLists -> !curatorsLists.isEmpty())
                .flatMap(curatorsLists -> curatorsLists.stream().filter(curatorsList -> curatorsList.getTypecuratorcode().equals("111")).findFirst())
                .map(curatorsList -> Curator.builder()
                        .name(curatorsList.getNamecurator())
                        .xusersid(curatorsList.getXUSERSID())
                        .build())
                .orElse(null);
    }
}
