package ru.mkb.corp.monmod.service.task;

import com.haulmont.addon.bproc.provider.UserProvider;
import com.haulmont.addon.bproc.service.BprocRuntimeService;
import com.haulmont.cuba.core.global.AppBeans;
import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.security.entity.Group;
import com.haulmont.cuba.security.entity.Role;
import com.haulmont.cuba.security.entity.User;
import org.springframework.stereotype.Component;
import ru.mkb.corp.monmod.entity.directories.RespEmployee;
import ru.mkb.corp.monmod.entity.event.executor.Executor;
import ru.mkb.corp.monmod.entity.event.executor.ExecutorEnum;
import ru.mkb.corp.monmod.entity.process.task.TaskProcess;

import javax.inject.Inject;

@Component(ControlUserProvider.NAME)
public class ControlUserProvider implements UserProvider {
    public static final String NAME = "mm_ControlUserProvider";
    @Inject
    private CommonUserProviderService commonUserProviderService;

    @Override
    public User get(String executionId) {
        return commonUserProviderService.getUser(executionId, ExecutorEnum.CONTROL);
    }
}