package ru.mkb.corp.monmod.entity.counterparty;

import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.security.entity.User;
import ru.mkb.corp.monmod.entity.monitoring.PvLevel;

import javax.persistence.*;

@Table(name = "MM_HOLDING")
@Entity(name = "mm_Holding")
@PrimaryKeyJoinColumn(name = "ID", referencedColumnName = "ID")
@DiscriminatorValue("HOLDING")
@NamePattern("%s|name")
public class Holding extends Counterparty {
    private static final long serialVersionUID = 4559096573943089533L;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    @MetaProperty
    @Transient
    @Override
    public String getHoldingName() {
        return getName();
    }

    @Override
    public String getTypeName() {
        return "Холдинг";
    }

}