package ru.mkb.corp.monmod.entity.covenant;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum ConditionType implements EnumClass<String> {

    TYPICAL("TYPICAL"),
    ATYPICAL("ATYPICAL");

    private String id;

    ConditionType(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static ConditionType fromId(String id) {
        for (ConditionType at : ConditionType.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}