package ru.mkb.corp.monmod.entity.covenant;

import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.PublishEntityChangedEvents;
import lombok.Getter;
import lombok.Setter;
import ru.mkb.corp.monmod.entity.monitoring.MonitoringCard;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@PublishEntityChangedEvents
@Table(name = "MM_COVENANT_MON_CARD")
@Entity(name = "mm_CovenantMonCard")
@Getter
@Setter
public class CovenantMonCard extends StandardEntity {
    private static final long serialVersionUID = 8741445437444066536L;

    @ManyToOne
    @JoinColumn(name = "MON_CARD_ID")
    MonitoringCard monCard;

    @ManyToOne
    @JoinColumn(name = "COVENANT_ID")
    Covenant covenant;

    @Column(name = "ACTUAL_RESULT")
    private String actualResult;

    @Column(name = "VIOLATED")
    private Boolean violated;
}