package ru.mkb.corp.monmod.entity.directories;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Table(name = "MM_FILE_KIND")
@Entity(name = "mm_FileKind")
@NamePattern("%s|name")
public class FileKind extends StandardEntity {
    private static final long serialVersionUID = 2924421191856132652L;

    @Column(name = "NAME")
    protected String name;

    @NotNull
    @Column(name = "IDENT", nullable = false)
    private String ident;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdent() {
        return ident;
    }

    public void setIdent(String ident) {
        this.ident = ident;
    }
}