package ru.mkb.corp.monmod.entity.directories;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Table(name = "MM_NO_MONITORING")
@Entity(name = "mm_NoMonitoring")
@NamePattern("%s|cause")
public class NoMonitoring extends StandardEntity {
    private static final long serialVersionUID = 3298611725257993408L;

    @NotNull
    @Column(name = "IDENT", nullable = false, unique = true)
    private String ident;

    @Lob
    @Column(name = "CAUSE")
    private String cause;

    public String getCause() {
        return cause;
    }

    public void setCause(String cause) {
        this.cause = cause;
    }

    public String getIdent() {
        return ident;
    }

    public void setIdent(String ident) {
        this.ident = ident;
    }
}