package ru.mkb.corp.monmod.entity.event.executor;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum ExecutorEnum implements EnumClass<String> {

    CONTROL("CONTROL"),
    INFO("INFO"),
    CONFIRM("CONFIRM");

    private String id;

    ExecutorEnum(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static ExecutorEnum fromId(String id) {
        for (ExecutorEnum at : ExecutorEnum.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}