package ru.mkb.corp.monmod.entity.event.settings;

import com.haulmont.cuba.core.entity.StandardEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorType;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;

@Inheritance(strategy = InheritanceType.JOINED)
@DiscriminatorColumn(name = "CTYPE", discriminatorType = DiscriminatorType.STRING)
@DiscriminatorValue("BASE")
@Table(name = "MM_EVENT_TYPE_SETTINGS")
@Entity(name = "mm_EventTypeSettings")
@Getter
@Setter
public class EventTypeSettings extends StandardEntity {
    private static final long serialVersionUID = -1751180435967970146L;

    @Column(name = "DAYS")
    Integer days;

    @Column(name = "PROCESS")
    String process;

}