package ru.mkb.corp.monmod.entity.event.settings;

import com.haulmont.cuba.core.entity.StandardEntity;
import ru.mkb.corp.monmod.entity.directories.ProblemFactor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Table(name = "MM_SETTINGS_CD_ITEM")
@Entity(name = "mm_SettingsCDItem")
public class SettingsCDItem extends StandardEntity {
    private static final long serialVersionUID = -6011932558113828431L;

    @JoinColumn(name = "SETTINGS_ID")
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    private @NotNull SettingsCD settings;

    @NotNull
    @Column(name = "DAYS", nullable = false)
    private Integer days;

    public @NotNull SettingsCD getSettings() {
        return settings;
    }

    public void setSettings(@NotNull SettingsCD settings) {
        this.settings = settings;
    }

    public Integer getDays() {
        return days;
    }

    public void setDays(Integer days) {
        this.days = days;
    }
}