package ru.mkb.corp.monmod.entity.limit;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import ru.mkb.corp.monmod.entity.monitoring.MonitoringCard;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Table(name = "MM_ROLE_CLIENT")
@Entity(name = "mm_RoleClient")
public class RoleClient extends StandardEntity {
    private static final long serialVersionUID = 5598232652012103729L;

    @Column(name = "CLIENT_TYPE")
    String clientType;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "RELATION_ID")
    private RelationWithLimit relation;

    public ClientType getClientType() {
        return clientType == null ? null : ClientType.fromId(clientType);
    }

    public void setClientType(ClientType clientType) {
        this.clientType = clientType == null ? null : clientType.getId();
    }

    public RelationWithLimit getRelation() {
        return relation;
    }

    public void setRelation(RelationWithLimit relation) {
        this.relation = relation;
    }
}