package ru.mkb.corp.monmod.entity.monitoring;

import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.time.LocalDate;

@Table(name = "MM_TURNOVER")
@Entity(name = "mm_Turnover")
public class Turnover extends StandardEntity {
    private static final long serialVersionUID = -2085031612437107622L;

    @Column(name = "INDICATOR_DATE")
    private LocalDate indicatorDate;

    @Column(name = "REPORT_QUARTER")
    private BigDecimal reportQuarter;

    @Column(name = "LAST_QUARTER")
    private BigDecimal lastQuarter;

    @Column(name = "APPG_TURNOVER")
    private BigDecimal appgTurnover;

    @Column(name = "QUARTER_CHANGE")
    private BigDecimal quarterChange;

    @Column(name = "YEAR_CHANGE")
    private BigDecimal yearChange;

    @Column(name = "OBLIGATE_BREACH")
    private Boolean obligateBreach;

    public LocalDate getIndicatorDate() {
        return indicatorDate;
    }

    public void setIndicatorDate(LocalDate indicatorDate) {
        this.indicatorDate = indicatorDate;
    }

    public BigDecimal getReportQuarter() {
        return reportQuarter;
    }

    public void setReportQuarter(BigDecimal reportQuarter) {
        this.reportQuarter = reportQuarter;
    }

    public BigDecimal getLastQuarter() {
        return lastQuarter;
    }

    public void setLastQuarter(BigDecimal lastQuarter) {
        this.lastQuarter = lastQuarter;
    }

    public BigDecimal getAppgTurnover() {
        return appgTurnover;
    }

    public void setAppgTurnover(BigDecimal appgTurnover) {
        this.appgTurnover = appgTurnover;
    }

    public BigDecimal getQuarterChange() {
        return quarterChange;
    }

    public void setQuarterChange(BigDecimal quarterChange) {
        this.quarterChange = quarterChange;
    }

    public BigDecimal getYearChange() {
        return yearChange;
    }

    public void setYearChange(BigDecimal yearChange) {
        this.yearChange = yearChange;
    }

    public Boolean getObligateBreach() {
        return obligateBreach;
    }

    public void setObligateBreach(Boolean obligateBreach) {
        this.obligateBreach = obligateBreach;
    }
}