package ru.mkb.corp.monmod.entity.problemfactor;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum MonitoringPeriodicity implements EnumClass<String> {

    DAILY("DAILY"),
    WEEKLY("WEEKLY"),
    MONTHLY("MONTHLY"),
    QUARTERLY("QUARTERLY"),
    ANNUALY("ANNUALY"),
    ONCE("ONCE"),
    NOTSTANDARD("NOTSTANDARD"),
    NOSCHEDULE("NOSCHEDULE");

    private String id;

    MonitoringPeriodicity(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static MonitoringPeriodicity fromId(String id) {
        for (MonitoringPeriodicity at : MonitoringPeriodicity.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}