package ru.mkb.corp.monmod.entity.process.task;

import com.haulmont.chile.core.datatypes.impl.EnumClass;
import ru.mkb.corp.monmod.entity.problemfactor.MonitoringPeriodicity;

import javax.annotation.Nullable;

public enum TaskResult implements EnumClass<String> {
    MON_DONE("MON_DONE"),
    DONE("DONE"),
    NEED_INFO("NEED_INFO"),
    NEED_EXPERT("NEED_EXPERT");

    private String id;

    TaskResult(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static TaskResult fromId(String id) {
        for (TaskResult at : TaskResult.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}
