package ru.mkb.corp.monmod.service.model.uls;

import java.math.BigDecimal;
import java.util.List;

public class LimitComparisonDTO {
    private Long holdingCrm;
    private Long holdingAbs;
    private String utilDate;
    private BigDecimal limit;
    private BigDecimal unusedLimit;
    private BigDecimal debt;
    private BigDecimal past_debt;
    private List<ChildInfoDTO> childInfo;

    public LimitComparisonDTO() {
    }

    public LimitComparisonDTO(Long holdingCrm, Long holdingAbs, String utilDate, BigDecimal limit, BigDecimal unusedLimit, BigDecimal debt, BigDecimal past_debt, List<ChildInfoDTO> childInfo) {
        this.holdingCrm = holdingCrm;
        this.holdingAbs = holdingAbs;
        this.utilDate = utilDate;
        this.limit = limit;
        this.unusedLimit = unusedLimit;
        this.debt = debt;
        this.past_debt = past_debt;
        this.childInfo = childInfo;
    }

    public Long getHoldingCrm() {
        return holdingCrm;
    }

    public void setHoldingCrm(Long holdingCrm) {
        this.holdingCrm = holdingCrm;
    }

    public Long getHoldingAbs() {
        return holdingAbs;
    }

    public void setHoldingAbs(Long holdingAbs) {
        this.holdingAbs = holdingAbs;
    }

    public String getUtilDate() {
        return utilDate;
    }

    public void setUtilDate(String utilDate) {
        this.utilDate = utilDate;
    }

    public BigDecimal getLimit() {
        return limit;
    }

    public void setLimit(BigDecimal limit) {
        this.limit = limit;
    }

    public BigDecimal getUnusedLimit() {
        return unusedLimit;
    }

    public void setUnusedLimit(BigDecimal unusedLimit) {
        this.unusedLimit = unusedLimit;
    }

    public BigDecimal getDebt() {
        return debt;
    }

    public void setDebt(BigDecimal debt) {
        this.debt = debt;
    }

    public BigDecimal getPast_debt() {
        return past_debt;
    }

    public void setPast_debt(BigDecimal past_debt) {
        this.past_debt = past_debt;
    }

    public List<ChildInfoDTO> getChildInfo() {
        return childInfo;
    }

    public void setChildInfo(List<ChildInfoDTO> childInfo) {
        this.childInfo = childInfo;
    }
}
