package ru.mkb.corp.monmod.service.user;

import com.haulmont.cuba.security.entity.User;

import java.util.List;
import java.util.Optional;

public interface UserService {
    String NAME = "mm_UserService";

    Optional<User> findUserByLogin(String login);

    User createUserByADLogin(String adLogin, List<String> roles);

    List<User> getUsersByRole(String roleName);

    boolean isLeader(User currentUser);

    boolean isMonManager(User currentUser);
}