package ru.mkb.corp.monmod.web.processform.afterexpert;

import com.haulmont.addon.bproc.web.processform.ProcessForm;
import com.haulmont.cuba.gui.screen.Subscribe;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import ru.mkb.corp.monmod.entity.process.task.TaskResult;
import ru.mkb.corp.monmod.web.processform.task.TaskProcessForm;

@UiController("mm_AfterExpert")
@UiDescriptor("after-expert.xml")
@ProcessForm
public class AfterExpert extends TaskProcessForm {

    @Override
    public void getTextTaskAndResult() {
        textTask = "Экспертиза предоставлена. Продолжите выполнение мониторинга.";
        taskResults.add(TaskResult.MON_DONE);
        taskResults.add(TaskResult.NEED_INFO);
        taskResults.add(TaskResult.NEED_EXPERT);
        result.setOptionsList(taskResults);
    }

}