package ru.mkb.corp.monmod.web.processform.expert;

import com.haulmont.addon.bproc.web.processform.ProcessForm;
import com.haulmont.cuba.gui.components.GroupBoxLayout;
import com.haulmont.cuba.gui.screen.Subscribe;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import ru.mkb.corp.monmod.entity.process.task.TaskResult;
import ru.mkb.corp.monmod.web.processform.task.TaskProcessForm;

import javax.inject.Inject;

@UiController("mm_Expert")
@UiDescriptor("expert.xml")
@ProcessForm
public class Expert extends TaskProcessForm {

    @Override
    public void getTextTaskAndResult() {
        textTask = "Проведите экспертизу для выполнения события мониторинга " + nameEvent +
                ". Результаты экспертизы укажите в комментарии или приложите требуемые документы в задаче.";
        resultGroupBox.setVisible(false);
        result.setValue(TaskResult.DONE);
    }
}