package ru.mkb.corp.monmod.web.processform.info;

import com.haulmont.addon.bproc.web.processform.ProcessForm;
import com.haulmont.cuba.gui.components.GroupBoxLayout;
import com.haulmont.cuba.gui.screen.Subscribe;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import ru.mkb.corp.monmod.entity.process.task.TaskResult;
import ru.mkb.corp.monmod.web.processform.task.TaskProcessForm;

import javax.inject.Inject;

@UiController("mm_AdditionalInformation")
@UiDescriptor("additional-information.xml")
@ProcessForm
public class AdditionalInformation extends TaskProcessForm {

    @Override
    public void getTextTaskAndResult() {
        textTask = "Предоставьте дополнительную информацию для выполнения события мониторинга " + nameEvent +
                ". Укажите требуемую информацию в комментарии или приложите требуемые документы в задаче.";
        resultGroupBox.setVisible(false);
        result.setValue(TaskResult.DONE);
    }
}