package ru.mkb.corp.monmod.web.screens.commonattributesevent;

import com.haulmont.cuba.gui.components.CheckBox;
import com.haulmont.cuba.gui.components.HasValue;
import com.haulmont.cuba.gui.model.InstanceContainer;
import com.haulmont.cuba.gui.screen.ScreenFragment;
import com.haulmont.cuba.gui.screen.Subscribe;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import ru.mkb.corp.monmod.entity.event.CommonAttributesEvent;

import javax.inject.Inject;
import java.time.LocalDate;

@UiController("mm_CommonAttributesFragment")
@UiDescriptor("common-attributes-fragment.xml")
public class CommonAttributesFragment extends ScreenFragment {
    @Inject
    private InstanceContainer<CommonAttributesEvent> eventDc;
    @Inject
    private CheckBox eventCompletedField;

    @Subscribe("eventCompletedField")
    public void onEventCompletedFieldValueChange(HasValue.ValueChangeEvent<Boolean> event) {
        if (eventDc.getItem().getFactEndDate() == null && eventCompletedField.isChecked()) {
            eventDc.getItem().setFactEndDate(LocalDate.now());
        }
        if (!eventCompletedField.isChecked())
            eventDc.getItem().setFactEndDate(null);
    }


}