package ru.mkb.corp.monmod.web.screens.counterparty;

import com.haulmont.cuba.core.global.Metadata;
import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import ru.mkb.corp.monmod.entity.counterparty.Client;
import ru.mkb.corp.monmod.entity.counterparty.Counterparty;

import javax.inject.Inject;

@UiController("mm_Counterparty.edit")
@UiDescriptor("counterparty-edit.xml")
@EditedEntityContainer("counterpartyDc")
@LoadDataBeforeShow
public class CounterpartyEdit extends StandardEditor<Counterparty> {

    @Inject
    private Metadata metadata;
    @Inject
    private CollectionLoader<Client> clientsByHoldingDl;

    @Subscribe
    public void onInit(InitEvent event) {
        Counterparty counterparty = metadata.create(Counterparty.class);
        setEntityToEdit(counterparty);
        clientsByHoldingDl.setParameter("holding", null);
    }

}