package ru.mkb.corp.monmod.web.screens.counterparty.holding;

import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import ru.mkb.corp.monmod.entity.counterparty.Counterparty;
import ru.mkb.corp.monmod.entity.counterparty.Holding;

import javax.inject.Inject;

@UiController("mm_Holding.edit")
@UiDescriptor("holding-edit.xml")
@EditedEntityContainer("holdingDc")
@LoadDataBeforeShow
public class HoldingEdit extends StandardEditor<Holding> {
    @Inject
    private CollectionLoader<Counterparty> clientsByHoldingDl;

    @Subscribe
    public void onInit(InitEvent event) {
        clientsByHoldingDl.setParameter("holding", null);
    }

    @Subscribe
    public void onAfterShow(AfterShowEvent event) {
        clientsByHoldingDl.setParameter("holding", this.getEditedEntity());
        clientsByHoldingDl.load();
    }
}