package ru.mkb.corp.monmod.web.screens.financialcovenantevent;

import com.haulmont.cuba.gui.components.TextArea;
import com.haulmont.cuba.gui.model.InstanceContainer;
import com.haulmont.cuba.gui.screen.ScreenFragment;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import ru.mkb.corp.monmod.entity.covenant.ConditionSpecies;
import ru.mkb.corp.monmod.entity.covenant.ConditionSubspecies;
import ru.mkb.corp.monmod.entity.event.CovenantEventMonitoringCovenant;
import ru.mkb.corp.monmod.web.utils.SetCovenantSpeciesUtils;

import javax.inject.Inject;

@UiController("mm_FinancialCovenantEventFragment")
@UiDescriptor("financial-covenant-event-fragment.xml")
public class FinancialCovenantEventFragment extends ScreenFragment {

    @Inject
    private InstanceContainer<CovenantEventMonitoringCovenant> financialCovenantEventDc;

    @Inject
    private TextArea<String> textAreaConditionSubspecies;

    @Inject
    private TextArea<String> textAreaConditionSpecies;

    public void setInstance(CovenantEventMonitoringCovenant covenantEventMonitoringCovenant) {
        SetCovenantSpeciesUtils.setCovenantSpecies(covenantEventMonitoringCovenant, textAreaConditionSpecies, textAreaConditionSubspecies);
        financialCovenantEventDc.setItem(covenantEventMonitoringCovenant);
    }
}
