package ru.mkb.corp.monmod.web.screens.nonfinancialcovenantevent;

import com.haulmont.cuba.gui.components.TextArea;
import com.haulmont.cuba.gui.model.InstanceContainer;
import com.haulmont.cuba.gui.screen.ScreenFragment;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import ru.mkb.corp.monmod.entity.event.CovenantEventMonitoringCovenant;
import ru.mkb.corp.monmod.web.utils.SetCovenantSpeciesUtils;

import javax.inject.Inject;

@UiController("mm_NonFinancialCovenantEventFragment")
@UiDescriptor("non-financial-covenant-event-fragment.xml")
public class NonFinancialCovenantEventFragment extends ScreenFragment {

    @Inject
    private InstanceContainer<CovenantEventMonitoringCovenant> nonFinancialCovenantEventDc;

    @Inject
    private TextArea<String> textAreaConditionSubspecies;

    @Inject
    private TextArea<String> textAreaConditionSpecies;

    public void setInstance(CovenantEventMonitoringCovenant covenantEventMonitoringCovenant) {
        SetCovenantSpeciesUtils.setCovenantSpecies(covenantEventMonitoringCovenant, textAreaConditionSpecies, textAreaConditionSubspecies);
        nonFinancialCovenantEventDc.setItem(covenantEventMonitoringCovenant);
    }

}
