package ru.mkb.corp.monmod.service.task;

import com.haulmont.cuba.core.global.AppBeans;
import com.haulmont.cuba.core.global.DataManager;
import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.delegate.JavaDelegate;
import ru.mkb.corp.monmod.entity.process.task.TaskProcess;
import ru.mkb.corp.monmod.service.EventMonService;

import java.time.LocalDate;

public class CompleteTaskJavaDelegate implements JavaDelegate {
    @Override
    public void execute(DelegateExecution execution) {
        EventMonService eventMonService = AppBeans.get(EventMonService.class);
        TaskProcess taskProcess = (TaskProcess) execution.getVariable("taskProcess");

        DataManager dataManager = AppBeans.get(DataManager.class);
        taskProcess = dataManager.reload(taskProcess, "taskProcess-view");
        taskProcess.getEvent().setCompleted(true);
        taskProcess.getEvent().setFactEndDate(LocalDate.now());
        dataManager.commit(taskProcess.getEvent());
        eventMonService.transferEventData(taskProcess.getEvent());
    }
}
