package ru.mkb.corp.monmod.service.task;

import com.haulmont.addon.bproc.provider.UserProvider;
import com.haulmont.cuba.security.entity.User;
import org.springframework.stereotype.Component;
import ru.mkb.corp.monmod.entity.event.executor.ExecutorEnum;

import javax.inject.Inject;

@Component(ConfirmUserProvider.NAME)
public class ConfirmUserProvider implements UserProvider {
    public static final String NAME = "mm_ConfirmUserProvider";

    @Inject
    private CommonUserProviderService commonUserProviderService;

    @Override
    public User get(String executionId) {
        return commonUserProviderService.getUser(executionId, ExecutorEnum.CONFIRM);
    }
}