package ru.mkb.corp.monmod.entity.attribute;

import com.haulmont.chile.core.annotations.MetaClass;
import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.cuba.core.entity.BaseUuidEntity;
import com.haulmont.cuba.core.entity.StandardEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@MetaClass(name = "mm_EnumerationItem")
@Getter
@Setter
public class EnumerationItem extends BaseUuidEntity{
    private static final long serialVersionUID = 2376566574046589117L;

    @MetaProperty
    @NotNull
    private String name;

    @MetaProperty
    @NotNull
    private Integer ord;

    @MetaProperty
    private Boolean byDefault = Boolean.FALSE;
}