package ru.mkb.corp.monmod.entity.counterparty;

import com.haulmont.chile.core.annotations.NamePattern;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;

@Table(name = "MM_BANK")
@PrimaryKeyJoinColumn(name = "ID")
@Entity(name = "mm_Bank")
@DiscriminatorValue("БАНК")
@NamePattern("%s|name")
@Getter
@Setter
public class Bank extends Client {
    private static final long serialVersionUID = 2262817820350910532L;

    @Column(name = "BIK_")
    private String bik;

    @Override
    public String getTypeName() {
        return "Банк";
    }

}