package ru.mkb.corp.monmod.entity.counterparty;

import com.haulmont.chile.core.annotations.NamePattern;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;

@Table(name = "MM_JURIDICAL")
@PrimaryKeyJoinColumn(name = "ID")
@Entity(name = "mm_JuridicalClient")
@DiscriminatorValue("ЮРИДИЧЕСКОЕ ЛИЦО")
@NamePattern("%s|name")
@Getter
@Setter
public class JuridicalClient extends Client {
    private static final long serialVersionUID = 5117730528239336802L;

    @Override
    public String getTypeName() {
        return "Юридическое лицо";
    }

}