package ru.mkb.corp.monmod.entity.covenant;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum ConditionSpecies implements EnumClass<String> {

    ONCE("ONCE"),
    CONST("CONST");

    private String id;

    ConditionSpecies(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static ConditionSpecies fromId(String id) {
        for (ConditionSpecies at : ConditionSpecies.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}