package ru.mkb.corp.monmod.entity.covenant;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum ConditionSubspecies implements EnumClass<String> {

    BEFOREPROVIDE("BEFOREPROVIDE"),
    BEFORESIGN("BEFORESIGN"),
    WITHTERM("WITHTERM");

    private String id;

    ConditionSubspecies(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static ConditionSubspecies fromId(String id) {
        for (ConditionSubspecies at : ConditionSubspecies.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}