package ru.mkb.corp.monmod.entity.directories;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Table(name = "MM_TYPICALCOVENANT")
@Entity(name = "mm_TypicalCovenant")
@NamePattern("%s|name")
public class TypicalCovenant extends StandardEntity {
    private static final long serialVersionUID = -1218539000401348081L;

    @NotNull
    @Column(name = "IDENT", nullable = false)
    private String ident;

    @NotNull
    @Column(name = "NAME", nullable = false)
    private String name;

    @Column(name = "IS_FIN")
    Boolean isFin;

    @Lob
    @Column(name = "COV_DESCRIPTION")
    private String covDescription;

    public String getCovDescription() {
        return covDescription;
    }

    public void setCovDescription(String covDescription) {
        this.covDescription = covDescription;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdent() {
        return ident;
    }

    public void setIdent(String ident) {
        this.ident = ident;
    }

    public Boolean getIsFin() {
        return isFin;
    }

    public void setIsFin(Boolean isFin) {
        this.isFin = isFin;
    }
}