package ru.mkb.corp.monmod.entity.limit;

import com.haulmont.cuba.core.entity.StandardEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.time.LocalDate;

@Table(name = "MM_LIMIT_GRAPH")
@Entity(name = "mm_LimitGraph")
@Getter
@Setter
public class LimitGraph extends StandardEntity {
    private static final long serialVersionUID = 2083135714253763525L;

    @Column(name = "AMOUNT_")
    BigDecimal amount;

    @Column(name = "START_DATE")
    LocalDate startDate;

    @Column(name = "END_DATE")
    LocalDate endDate;

}