package ru.mkb.corp.monmod.entity.monitoring;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum ClientClass implements EnumClass<String> {

    STANDARD("STANDARD"),
    UNDERCONTROL("UNDERCONTROL"),
    RESTRUCTURING("RESTRUCTURING"),
    PUNISHMENT("PUNISHMENT"),
    WRITEOFF("WRITEOFF");

    private String id;

    ClientClass(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static ClientClass fromId(String id) {
        for (ClientClass at : ClientClass.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}