package ru.mkb.corp.monmod.entity.monitoring;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum CreditRating implements EnumClass<String> {

    A1("A1"),
    A2("A2"),
    A3("A3"),
    B1("B1"),
    B2("B2"),
    B3("B3"),
    C1("C1"),
    C2("C2"),
    C3("C3"),
    D("D"),
    NORATING("NO RATING");

    private String id;

    CreditRating(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static CreditRating fromId(String id) {
        for (CreditRating at : CreditRating.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}