package ru.mkb.corp.monmod.entity.monitoring;

import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.time.LocalDate;

@Table(name = "MM_STRATEGIC_PLAN")
@Entity(name = "mm_StrategicPlan")
public class StrategicPlan extends StandardEntity {
    private static final long serialVersionUID = 675507318923063552L;

    @Column(name = "DECISION_DATE")
    private LocalDate decisionDate;

    @Column(name = "IS_STRAT_PLAN")
    private Boolean isStratPlan;

    @Lob
    @Column(name = "COMMENT_")
    private String comment;


    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public LocalDate getDecisionDate() {
        return decisionDate;
    }

    public void setDecisionDate(LocalDate decisionDate) {
        this.decisionDate = decisionDate;
    }

    public Boolean getIsStratPlan() {
        return isStratPlan;
    }

    public void setIsStratPlan(Boolean stratPlan) {
        isStratPlan = stratPlan;
    }

}