package ru.mkb.corp.monmod.web.screens.taskinfo;

import com.haulmont.cuba.gui.components.LookupField;
import com.haulmont.cuba.gui.model.InstanceContainer;
import com.haulmont.cuba.gui.screen.*;
import ru.mkb.corp.monmod.entity.process.task.TaskInfo;
import ru.mkb.corp.monmod.entity.process.task.TaskResult;

import javax.inject.Inject;

@UiController("mm_TaskInfo.edit")
@UiDescriptor("task-info-edit.xml")
@EditedEntityContainer("taskInfoDc")
@LoadDataBeforeShow
public class TaskInfoEdit extends StandardEditor<TaskInfo> {
    @Inject
    private InstanceContainer<TaskInfo> taskInfoDc;
    @Inject
    private LookupField<TaskResult> taskResultField;


    @Subscribe
    public void onAfterShow(AfterShowEvent event) {
        if (taskInfoDc.getItem().getTaskResult().equals(TaskResult.DONE)) {
            taskResultField.setVisible(false);
        }
    }
}