package ru.mkb.corp.monmod.web.screens.typicalcovenant;

import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import ru.mkb.corp.monmod.entity.directories.TypicalCovenant;

import javax.inject.Inject;

@UiController("mm_TypicalCovenant.browse")
@UiDescriptor("typical-covenant-browse.xml")
@LookupComponent("typicalCovenantsTable")
@LoadDataBeforeShow
public class TypicalCovenantBrowse extends StandardLookup<TypicalCovenant> {

    @Inject
    private CollectionLoader<TypicalCovenant> typicalCovenantsDl;

    public void setIsFin(Boolean isFin) {
        if (isFin != null) {
            typicalCovenantsDl.setParameter("isFin", isFin);
        } else {
            typicalCovenantsDl.removeParameter("isFin");
        }
        typicalCovenantsDl.load();
    }

}