package ru.mkb.corp.monmod.web.utils;

import com.haulmont.cuba.gui.components.TextArea;
import ru.mkb.corp.monmod.entity.covenant.ConditionSpecies;
import ru.mkb.corp.monmod.entity.covenant.ConditionSubspecies;
import ru.mkb.corp.monmod.entity.event.CovenantEventMonitoringCovenant;

public class SetCovenantSpeciesUtils {
    public static void setCovenantSpecies(CovenantEventMonitoringCovenant covenantEventMonitoringCovenant, TextArea<String> textAreaConditionSpecies, TextArea<String> textAreaConditionSubspecies) {

        if(covenantEventMonitoringCovenant.getCovenantMonCard().getCovenant().getConditionSpecies().equals(ConditionSpecies.ONCE)) {
            textAreaConditionSpecies.setValue("Разовое условие");
        } else {
            textAreaConditionSpecies.setValue("Постоянно действующее условие");
        }
        if(covenantEventMonitoringCovenant.getCovenantMonCard().getCovenant().getConditionSubspecies().equals(ConditionSubspecies.BEFOREPROVIDE)) {
            textAreaConditionSubspecies.setValue("До момента предоставления Банком кредитного продукта/совершения кредитной операции");
        }
        if(covenantEventMonitoringCovenant.getCovenantMonCard().getCovenant().getConditionSubspecies().equals(ConditionSubspecies.BEFORESIGN)) {
            textAreaConditionSubspecies.setValue("До момента подписания со стороны Банка кредитной документации");
        }
        if(covenantEventMonitoringCovenant.getCovenantMonCard().getCovenant().getConditionSubspecies().equals(ConditionSubspecies.WITHTERM)) {
            textAreaConditionSubspecies.setValue("C установленным сроком выполнения или, которые должны быть выполнены контрагентом после подписания документации");
        }
    }
}
